<?php
/**
 * @file
 *  Common size and measurement tables.
 *
 *  © 2015 RedBottle Design, LLC and Five Star Tool Company.
 *  All rights reserved. This code is licensed under the GNU GPL v2 or later.
 *
 *  Portions provided by reference material from the Harvey Tool Company.
 *
 * @author Guy Paddock (guy.paddock@redbottledesign.com)
 */

/**
 * Gets the table of wire sizes.
 *
 * @return array
 */
function fraction_tool_formatter_get_wire_size_table() {
  /* Credits and thanks to the Harvey Tool Company; all measurements were taken
   * from page 198 of the 09/2013 Harvey Tool catalog.
   */
  $wire_sizes = array(
    '0.0135'  => 80,
    '0.0145'  => 79,
    '0.0160'  => 78,
    '0.0180'  => 77,
    '0.0200'  => 76,
    '0.0210'  => 75,
    '0.0225'  => 74,
    '0.0240'  => 73,
    '0.0250'  => 72,
    '0.0260'  => 71,
    '0.0280'  => 70,
    '0.0292'  => 69,
    '0.0310'  => 68,
    '0.0320'  => 67,
    '0.0330'  => 66,
    '0.0350'  => 65,
    '0.0360'  => 64,
    '0.0370'  => 63,
    '0.0380'  => 62,
    '0.0390'  => 61,
    '0.0400'  => 60,
    '0.0410'  => 59,
    '0.0420'  => 58,
    '0.0430'  => 57,
    '0.0465'  => 56,
    '0.0520'  => 55,
    '0.0550'  => 54,
    '0.0595'  => 53,
    '0.0635'  => 52,
    '0.0670'  => 51,
    '0.0700'  => 50,
    '0.0730'  => 49,
    '0.0760'  => 48,
    '0.0785'  => 47,
    '0.0810'  => 46,
    '0.0820'  => 45,
    '0.0860'  => 44,
    '0.0890'  => 43,
    '0.0935'  => 42,
    '0.0960'  => 41,
    '0.0980'  => 40,
    '0.0995'  => 39,
    '0.1015'  => 38,
    '0.1040'  => 37,
    '0.1065'  => 36,
    '0.1100'  => 35,
    '0.1110'  => 34,
    '0.1130'  => 33,
    '0.1160'  => 32,
    '0.1200'  => 31,
    '0.1285'  => 30,
    '0.1360'  => 29,
    '0.1405'  => 28,
    '0.1440'  => 27,
    '0.1470'  => 26,
    '0.1495'  => 25,
    '0.1520'  => 24,
    '0.1540'  => 23,
    '0.1570'  => 22,
    '0.1590'  => 21,
    '0.1610'  => 20,
    '0.1660'  => 19,
    '0.1695'  => 18,
    '0.1730'  => 17,
    '0.1770'  => 16,
    '0.1800'  => 15,
    '0.1820'  => 14,
    '0.1850'  => 13,
    '0.1890'  => 12,
    '0.1910'  => 11,
    '0.1935'  => 10,
    '0.1960'  => 9,
    '0.1990'  => 8,
    '0.2010'  => 7,
    '0.2040'  => 6,
    '0.2055'  => 5,
    '0.2090'  => 4,
    '0.2130'  => 3,
    '0.2210'  => 2,
    '0.2280'  => 1,
    '0.2340'  => 'A',
    '0.2380'  => 'B',
    '0.2420'  => 'C',
    '0.2460'  => 'D',
    '0.2570'  => 'F',
    '0.2610'  => 'G',
    '0.2660'  => 'H',
    '0.2720'  => 'I',
    '0.2770'  => 'J',
    '0.2810'  => 'K',
    '0.2900'  => 'L',
    '0.2950'  => 'M',
    '0.3020'  => 'N',
    '0.3160'  => 'O',
    '0.3230'  => 'P',
    '0.3320'  => 'Q',
    '0.3390'  => 'R',
    '0.3480'  => 'S',
    '0.3580'  => 'T',
    '0.3680'  => 'U',
    '0.3770'  => 'V',
    '0.3860'  => 'W',
    '0.3970'  => 'X',
    '0.4040'  => 'Y',
    '0.4130'  => 'Z',
  );

  return $wire_sizes;
}